Stats (older)

Payments, payouts, deposits, withdrawals and disputes

GET/api/public/v1/stats/transactions
LiveAnswers from your brand's records now.

Operation id getTransactions

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/stats/transactions" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
pagequeryinteger Default 1
per_pagequeryinteger Default 10
child_organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
transaction_typequerystringOne of paymentpayoutdepositwithdrawaldispute
searchquerystring

Responses

200Success

FieldTypeNotes
additional_dataobject
additional_data.amount_sumnumber
additional_data.fee_sumnumber
additional_data.payment_sumnumber
additional_data.payout_sumnumber
dataarray of object
data[].[].createdinteger
data[].[].currencystring
data[].[].destinationstring
data[].[].formatted_amountstring
data[].[].idinteger
data[].[].organization_namestring
data[].[].sourcestring
data[].[].statusstring
data[].[].transaction_typestring
metaobject
meta.current_pageinteger
meta.page_countinteger
meta.row_countinteger

Example

{
  "additional_data": {
    "amount_sum": 125.5,
    "fee_sum": 125.5,
    "payment_sum": 125.5,
    "payout_sum": 125.5
  },
  "data": [
    {
      "created": 3,
      "currency": "usd",
      "destination": "string",
      "formatted_amount": "string",
      "id": 1024,
      "organization_name": "Example name",
      "source": "string",
      "status": "string",
      "transaction_type": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "page_count": 1,
    "row_count": 3
  }
}

Errors: 400401with an error and usually a message. See errors.

Example values are made up from each field's type and name.